(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (global = global || self, factory(global.Random = {}));
}(this, (function (exports) { 'use strict';

  /*
  This library is expected to run in a NodeJS environment,
  so use NodeJS crypto library to generate random numbers.
  */
  const crypto = require('crypto');

  function randomBuffer(lengthBytes) {
      const buffer = Buffer.alloc(lengthBytes);
      crypto.randomFillSync(buffer);
      return buffer;
  }

  function randomHex(lengthBytes) {
      return randomBuffer(lengthBytes).toString('hex');
  }
  function randomBase64(lengthBytes) {
      return randomBuffer(lengthBytes).toString('base64');
  }

  function randomBase64url(lengthBytes) {
      return randomBase64(lengthBytes).replace(/\+/g, "-").replace(/\//g, "_");
  }

  exports.randomBase64 = randomBase64;
  exports.randomBase64url = randomBase64url;
  exports.randomHex = randomHex;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
